<div class="overlay" *ngIf="show">
  <div class="center" *ngIf="show">
    <mat-progress-spinner diameter=100
                          mode="indeterminate"
                          color="primary">
    </mat-progress-spinner>
  </div>
</div>
